<?php

declare(strict_types=1);
namespace Drupal\confirmation_event_test;

use Drupal\confirmation\Entity\Event\ConfirmationEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

final class LoggingConfirmationEventSubscriber implements EventSubscriberInterface {

  protected $events = [];

  public function __construct() {}

  public static function getSubscribedEvents(): array {
    return [
      ConfirmationEvent::getEventName() => 'onEvent',
      ConfirmationEvent::getEventName('confirmation_example') => 'onEvent',
      ConfirmationEvent::getEventName('confirmation_example', FALSE) => 'onEvent',
      ConfirmationEvent::getEventName('confirmation_example', TRUE) => 'onEvent',
    ];
  }

  public function onEvent($event, $eventName): void {
    $this->events[] = [$event, $eventName];
  }

  public function getAndClearEvents(): array {
    $events = $this->events;
    $this->events = [];
    return $events;
  }

}
